# Disable debug rpm on EPEL/CentOS Stream
%global debug_package %{nil}

# https://github.com/tynany/frr_exporter
%global goipath         github.com/tynany/frr_exporter
Version:                1.2.0

%gometa

%global common_description %{expand:
Prometheus exporter for FRR version 3.0+ that collects metrics from the FRR Unix sockets and exposes them via HTTP, ready for collecting by Prometheus.}

%global golicenses      LICENSE


Name:               frr_exporter
Release:            1%{?dist}
Summary:            Prometheus exporter for Free Range Routing
URL:                %{gourl}
License:            MIT

Source0:            %{gosource}
Source1:            frr_exporter.service

Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd


%description
%{common_description}

#%%gopkg

%prep
%autosetup -n frr_exporter-%{version}

%build
go mod vendor
CGO_ENABLED=0 go build -buildmode pie -compiler gc '-tags=rpm_crashtraceback' -ldflags '-X %{goipath}/version=%{version} -compressdwarf=false -s -w' -o %{gobuilddir}/bin/%{name} %{goipath}

%install
install -D -p -m 0755 %{gobuilddir}/bin/%{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/systemd/system/%{name}.service

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_prefix}/lib/systemd/system/%{name}.service
